"use strict";
const common_vendor = require("../../common/vendor.js");
const util_api = require("../../util/api.js");
const _sfc_main = {
  __name: "authorization",
  setup(__props) {
    const code = common_vendor.ref("");
    const getPhoneNumber = async (e) => {
      console.log(e);
      code.value = e.detail.code;
      if (code.value) {
        const res = await util_api.myRequest({
          url: "/wx/getPhone",
          data: {
            code: code.value
          }
        });
        console.log(res);
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(getPhoneNumber)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2e3c7ef5"], ["__file", "G:/workSpace/agent-registration/pages/authorization/authorization.vue"]]);
wx.createPage(MiniProgramPage);
